<div>
    <h2>
        <span jhiTranslate="mpmApp.hargaMasterBahan.home.title">Harga Master Bahans</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-harga-master-bahan" [routerLink]="['/', { outlets: { popup: ['harga-master-bahan-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.hargaMasterBahan.home.createLabel">
            Create new Harga Master Bahan
            </span>
        </button> -->
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.hargaMasterBahan.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="hargaMasterBahans">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <!-- <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th> -->
            <th jhiSortBy="kdbahan"><span jhiTranslate="mpmApp.hargaMasterBahan.kdbahan">Kdbahan</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="nmbahan"><span jhiTranslate="mpmApp.hargaMasterBahan.nmbahan">Nmbahan</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="tpbahan"><span jhiTranslate="mpmApp.hargaMasterBahan.tpbahan">Tpbahan</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="harga_dasar"><span jhiTranslate="mpmApp.hargaMasterBahan.harga_dasar">Harga Dasar</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let hargaMasterBahan of hargaMasterBahans ;trackBy: trackId">
                <!-- <td><a [routerLink]="['../harga-master-bahan', hargaMasterBahan.id ]">{{hargaMasterBahan.id}}</a></td> -->
                <td>{{hargaMasterBahan.kdbahan}}</td>
                <td>{{hargaMasterBahan.nmbahan}}</td>
                <td>{{hargaMasterBahan.tpbahan}}</td>
                <td>{{hargaMasterBahan.harga_dasar | number:'1.0-2'}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../harga-master-bahan', hargaMasterBahan.kdbahan ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'harga-master-bahan/'+ hargaMasterBahan.kdbahan + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <!-- <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'harga-master-bahan/'+ hargaMasterBahan.kdbahan + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button> -->
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="hargaMasterBahans && hargaMasterBahans.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
